首页 新闻 搜索 专区 学院

为什么asp.net连接数据库时提示不支持服务器版本 提示只支持2005以下的版本

0
悬赏园豆:15 [已解决问题] 解决于 2012-07-26 17:25

补充我装的是Vs2008 sql server management 2008

问题补充:

我在VS2008中新建网站ASP.NET,然后在App_Data右击新建项目SQL Server数据库时跳出下面的提示

dyhui1992的主页 dyhui1992 | 初学一级 | 园豆:4
提问于:2012-07-16 19:45
< >
分享
最佳答案
1

还没碰见过这样的问题

建议楼主从以下分析

VS2008自带的是SQL 2005 Express(估计你自己没有安装),在APP_Data建立的DB是SQL 2005格式。

收获园豆:15
Shannon | 小虾三级 |园豆:611 | 2012-07-19 09:56
其他回答(4)
0

连接字符串是怎么写的?具体的错误信息是什么?

dudu | 园豆:37171 (高人七级) | 2012-07-16 21:35

根本创建不了

支持(0) 反对(0) dyhui1992 | 园豆:4 (初学一级) | 2012-07-17 11:57
0

使用链接向导,一步步的来,看看是怎么回事?

Angkor--:-- | 园豆:1086 (小虾三级) | 2012-07-17 07:54
0

你安装一个vs2008的补丁试试,有问题可以联系。如果要我也可以给你一个

qqmamiao | 园豆:146 (初学一级) | 2012-07-17 14:38

不行,你可以发到我的邮箱1598811972@qq.com   谢谢

支持(0) 反对(0) dyhui1992 | 园豆:4 (初学一级) | 2012-07-17 16:09

@dyhui1992: 我先给你发个vs2008的sp1补丁,你装上试试

支持(0) 反对(0) qqmamiao | 园豆:146 (初学一级) | 2012-07-18 12:59
0

你建数据库的方式还真特别

八戒的师傅 | 园豆:1472 (小虾三级) | 2012-07-17 19:16
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册